/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.eventing;

import org.apache.commons.id.IdentifierUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.pubsub.Filter;
import org.apache.ws.resource.NamespaceVersionHolder;
import org.apache.ws.resource.lifetime.ScheduledResourceTerminationResource;
import java.util.Calendar;

/**
 *
 * @author  Stefan Lischke
 */
public class Subscription
   extends AbstractSubscription
   implements ScheduledResourceTerminationResource
{
   private static final Log LOG        = LogFactory.getLog( Subscription.class.getName(  ) );
   private String           QueryID;
   private Filter           m_filter;
   private java.net.URI     m_delivery;

   /**
    * Creates a new {@link Subscription} object.
    *
    * @param filter DOCUMENT_ME
    * @param expires DOCUMENT_ME
    * @param delivery DOCUMENT_ME
    */
   public Subscription( Filter       filter,
                        Calendar     expires,
                        java.net.URI delivery )
   {
      m_id              = IdentifierUtils.UUID_VERSION_FOUR_GENERATOR.nextIdentifier(  ).toString(  );
      m_creationTime    = Calendar.getInstance(  );
      m_filter          = filter;
      setTerminationTime( expires );
      m_delivery = delivery;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public Calendar getCurrentTime(  )
   {
      return Calendar.getInstance(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public Filter getFilter(  )
   throws Exception
   {
      //        LOG.info("getFilterString : "+this.subdom.getSubscribe().getFilter().newCursor().getTextValue());
      return this.m_filter;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public NamespaceVersionHolder getNamespaceSet(  )
   {
      return null; // TODO
   }

   /**
    * DOCUMENT_ME
    *
    * @param q DOCUMENT_ME
    */
   public void setQueryID( String q )
   {
      this.QueryID = q;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getQueryID(  )
   {
      return QueryID;
   }

   /**
    * DOCUMENT_ME
    *
    * @param terminationTime DOCUMENT_ME
    */
   public void setTerminationTime( java.util.Calendar terminationTime )
   {
      LOG.info( "Remote setTerminationTime " + terminationTime );
      m_terminationTime = terminationTime;
   }

   /**
    * DOCUMENT_ME
    */
   public void destroy(  )
   {
      getSubscriptionEndConsumer(  ).end( this, "killya" );
      LOG.info( "destroyed" );
   }

   /**
    * DOCUMENT_ME
    */
   public void init(  )
   {
      LOG.info( "init" );
   }

   /**
    * DOCUMENT_ME
    */
   public void unsubscribe(  )
   {
      try
      {
         this.rH.remove( getID(  ) );
      }
      catch ( Exception e )
      {
         e.printStackTrace(  );

         //TODO
      }

      destroy(  );
   }
}