/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification;

import org.apache.ws.notification.topics.expression.TopicExpressionEngine;

/**
 * A singleton respresenting the WSN runtime.
 */
public class WsnRuntime
{
   private static final WsnRuntime INSTANCE          = new WsnRuntime(  );
   private static final String     VERSION           = "1.1";
   private TopicExpressionEngine   m_topicExprEngine;

   private WsnRuntime(  )
   {
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public static WsnRuntime getRuntime(  )
   {
      return INSTANCE;
   }

   /**
    * DOCUMENT_ME
    *
    * @param topicExprEngine DOCUMENT_ME
    */
   public void setTopicExpressionEngine( TopicExpressionEngine topicExprEngine )
   {
      m_topicExprEngine = topicExprEngine;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public TopicExpressionEngine getTopicExpressionEngine(  )
   {
      return m_topicExprEngine;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getVersion(  )
   {
      return VERSION;
   }
}