/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification.base;

import javax.xml.namespace.QName;

/**
 * Constants for our impl of SubscriptionManager
 *
 * @author Sal Campana
 */
public interface CustomBaseNotificationConstants
{
   /** DOCUMENT_ME */
   String TARGET_NAMESPACE = "http://ws.apache.org/notification/base/service/SubscriptionManager";

   /**  The service endpoint name as registered with the SOAP Platform.  This is useful for building EPR's. **/
   javax.xml.namespace.QName SERVICE_NAME = new QName( TARGET_NAMESPACE, "SubscriptionManager" );

   /** The management PortType associated with this resource. This is useful for building EPR's.**/
   javax.xml.namespace.QName PORT_TYPE = new QName( TARGET_NAMESPACE, "SubscriptionManagerPortType" );

   /** The name of the resource key for this resource. **/
   javax.xml.namespace.QName RESOURCE_KEY_NAME = new QName( TARGET_NAMESPACE, "ResourceID" );
}