/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification.base.faults;

import org.apache.ws.notification.base.WsnNamespaceVersionHolder;
import org.apache.ws.notification.base.v2004_06.BaseNotificationConstants;
import org.apache.ws.resource.faults.AbstractBaseFaultException;
import javax.xml.namespace.QName;

/**
 * The WS-BaseN ResumeFailedFault (thrown by Resume operation).
 */
public class ResumeFailedFaultException
   extends AbstractBaseFaultException
{
   private QName m_name;

   /**
    * Creates a new {@link ResumeFailedFaultException} object.
    *
    * @param namespaceVersionHolder DOCUMENT_ME
    * @param faultString DOCUMENT_ME
    */
   public ResumeFailedFaultException( WsnNamespaceVersionHolder namespaceVersionHolder,
                                      String                    faultString )
   {
      super( namespaceVersionHolder, faultString );
      m_name =
         new QName( namespaceVersionHolder.getBaseNotificationXsdNamespace(  ),
                    "ResumeFailedFault",
                    BaseNotificationConstants.NSPREFIX_WSNT_SCHEMA );
   }

   /**
    * Returns the {@link QName} of this fault
    * @return fault QName
    */
   public QName getBaseFaultName(  )
   {
      return m_name;
   }
}