/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification.base.v2004_06.impl;

import org.apache.ws.notification.base.WsnNamespaceVersionHolder;
import org.apache.ws.notification.base.v2004_06.BaseNotificationConstants;
import org.apache.ws.notification.topics.v2004_06.TopicsConstants;
import org.apache.ws.resource.properties.v2004_06.impl.NamespaceVersionHolderImpl;

/**
 * @author Sal Campana
 */
public class WsnNamespaceVersionHolderImpl
   extends NamespaceVersionHolderImpl
   implements WsnNamespaceVersionHolder
{
   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getBaseNotificationXsdNamespace(  )
   {
      return BaseNotificationConstants.NSURI_WSNT_SCHEMA;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getBrokeredNotificationXsdNamespace(  )
   {
      return "http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BrokeredNotification-1.2-draft-01.xsd";
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getTopicsXsdNamespace(  )
   {
      return TopicsConstants.NSURI_WSTOP_SCHEMA;
   }
}