/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification.topics.expression;

import java.io.Serializable;

/**
 * Java representation of the wsnt:TopicExpressionType XML schema type.
 */
public interface TopicExpression
   extends Serializable
{
   /**
    * Returns the dialect-dependent content of this topic expression (e.g. a QName or a String).
    */
   Object getContent(  );

   /**
    * Returns the dialect URI of this topic expression.
    */
   String getDialect(  );
}