/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification;

import junit.framework.TestCase;
import org.apache.naming.java.javaURLContextFactory;
import org.apache.ws.addressing.EndpointReference;
import org.apache.ws.addressing.XmlBeansEndpointReference;
import org.apache.ws.addressing.v2003_03.AddressingConstants;
import org.apache.ws.eventing.SubscriptionHome;
import org.apache.ws.notification.base.Subscription;
import org.apache.ws.notification.base.v2004_06.porttype.NotificationProducerPortType;
import org.apache.ws.notification.topics.expression.SimpleTopicExpression;
import org.apache.ws.resource.Resource;
import org.apache.ws.resource.WsrfRuntime;

/*
   import org.apache.ws.resource.example.filesystem.FilesystemHome;
   import org.apache.ws.resource.example.filesystem.FilesystemResource;
 */
import org.apache.ws.resource.properties.ResourceProperty;
import org.apache.ws.util.XmlBeanUtils;
import org.apache.xmlbeans.XmlObject;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.xml.namespace.QName;
import java.util.Properties;

/**
 * @author Ian Springer
 */
public class RuntimeTester
   extends TestCase
{
   static
   {
      initJndiProvider(  );
   }

   /**
    * DOCUMENT_ME
    *
    * @throws Exception DOCUMENT_ME
    */
   public void testInit(  )
   throws Exception
   {
      /*WsrfRuntime runtime = WsrfRuntime.getRuntime();
         Properties initProps = new Properties();
         initProps.setProperty( WsrfRuntime.JNDI_CONFIG_DIALECT, WsrfRuntime.CONFIG_DIALECT_SPRING_BEANS );
         initProps.setProperty( WsrfRuntime.JNDI_CONFIG_LOCATION, "spring-jndi-config.xml" );
         runtime.init( initProps );
         InitialContext initialContext = new InitialContext();
         Object obj = initialContext.lookup( runtime.getHomeJndiName( "SubscriptionManager" ) );
         assertNotNull( obj );
         assertTrue( obj instanceof SubscriptionHome );
         SubscriptionHome subHome = (SubscriptionHome) obj;
         obj = initialContext.lookup( runtime.getHomeJndiName( "filesystem" ) );
         assertNotNull( obj );
         assertTrue( obj instanceof FilesystemHome );
         FilesystemHome fsHome = (FilesystemHome) obj;
         assertTrue( fsHome.isInitialized() );
         FilesystemResource fsResource = (FilesystemResource) fsHome.find( FilesystemHome.LVOL1_ID );
         assertEquals( 3, fsResource.getTopicSet().getTopicExpressions().length );
         ResourceProperty prop = fsResource.getResourcePropertySet().get( NotificationProducerPortType.PROP_QNAME_TOPIC );
         assertEquals( 3, prop.size() );
         SimpleTopicExpression topic1 = new SimpleTopicExpression( QName.valueOf( "{http://example.org/topicSpace/example1}t1" ) );
         EndpointReference consumerEPR = new XmlBeansEndpointReference( "http://foo/foo", AddressingConstants.NSURI_ADDRESSING_SCHEMA );
         EndpointReference subscriptionEPR = fsResource.subscribe( consumerEPR, topic1, null, null, null, null, null );
         assertNotNull( subscriptionEPR );
         Object subId = subHome.extractResourceIdentifier( subscriptionEPR );
         Resource resource = subHome.find( subId );
         assertNotNull( resource );
         assertTrue( resource instanceof Subscription );
         fsResource.publish( topic1, XmlObject.Factory.parse( "<Notif>yo!</Notif>" ) );
         Object currentMsg = fsResource.getCurrentMessage( topic1 );
         assertNotNull( currentMsg );
         assertTrue( currentMsg instanceof XmlObject );
         XmlObject msgXBean = (XmlObject) currentMsg;
         assertEquals( new QName( "Notif" ), XmlBeanUtils.getName( msgXBean ) );*/
   }

   private static void initJndiProvider(  )
   {
      System.setProperty( Context.INITIAL_CONTEXT_FACTORY,
                          javaURLContextFactory.class.getName(  ) );
      System.setProperty( Context.URL_PKG_PREFIXES, "org.apache.commons.naming" );
   }
}